Core - Task # 32185

Status: Closed Priority: Could have
Author: Steffen Ritter Category:

Created: 2011-11-30 Assigned To:

Updated: 2014-12-16 Due date: 2014-09-15
TYPO3 Version: 4.7

PHP Version: 53

Complexity: hard

Sprint Focus:

Subject: Migrate TYPOS3 Backend to ExtJS4

Description

The ExtJS parts of the TYPO3 Backend are to be ported to ExtS4 (without compatibility layer)

Subtasks:

Task # 32186:
Task # 32187:
Task # 32188:

Exchange the ExtJS Core Library
Replace the ExtJS Skin
Remove Custom Components which now are Part of ExtJS 4

Bug # 32189: Migrate Backend Base Components

Task # 32191

Task # 32194

Task # 32201

Bug # 32179

Bug # 32670

Bug # 32731

Bug # 32957

: Migrate PageTree and Context-Menu to ExtJS 4
Task # 32193:
Task # 32196:

Migrate ExtensionsManager
Migrate TCEforms

: Migrate Recycler
Task # 32199:
Task # 32200:

Migrate TCA tree
Migrate RTE

: Umbrella for smaller outstanding tasks
Bug # 32659:
Bug # 32664:

TCEforms reference non-existant CSS file resize.css
Backend loops in Page module

: Deletion drop zone flashing on double click on page tree
Bug # 32305:
Bug # 31919:
Bug # 32669:

Page tree state restore always expanding the last selected node.
Workspaces breaks viewport
Showing/Hiding toolbars of CE's in Page-Module is broken

: ModuleMenu Panel has different resizing behaviour
Bug # 32672:
Bug # 32673:

Bring back the Custom-Splitbar

Several removeClass and addClass did not get renamed

: Login form: the clear icon is now outside of the fields
Bug # 32953:
Bug # 32954:

Migrate file upload to ExtJS 4
ExtJS CSS-Reset

: Fonts change during loading
Bug # 32955:

About module categorie icons

Bug # 32674: Migrate FormsWizard to Ext JS 4
Task # 32720: Add ExtJS3 compatibility Layer
Task # 32721: BE-Modules not migrated to ExtJS4 should trigger ExtJS3 Compat ext

Resolved
Resolved
Rejected
Resolved
Resolved
Closed
Resolved
Closed
Rejected
Resolved
Closed
Resolved
Resolved
Rejected
Rejected
Closed
Resolved
Resolved
Rejected
Resolved
Rejected
Rejected
Closed
Rejected
Rejected
Closed
Resolved
Resolved

Associated revisions

Revision b8ffd606 - 2011-12-20 18:11 - Steffen Ritter

[TASK] BE-Modules not migrated to ExtJS4 need to trigger compat-Mode

EM, Recycler and Workspaces are not migrated yet. Thus they are broken.

It's hard to work without the Extension Manager.
Use it within Recycler and EM.

Change-Id: 182ba17fe90c408435bf8370e832807c5ba79d6b3
Resolves: #32185

Releases: 4.7

Reviewed-on: http://review.typo3.org/7428

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2011-12-20 11:37 - Gerrit Code Review
- Status changed from Accepted to Under Review
- Estimated time set to 0.00

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/7428

#2 - 2011-12-20 18:08 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7428

#3 - 2011-12-20 18:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 52 to 100

Applied in changeset commit:b8ffd6065a4ccbcfabb5faeal46a38d1bbe615b0.

#4 - 2011-12-20 21:44 - Oliver Hader
- Status changed from Resolved to Under Review
- Estimated time set to 0.00

#5 - 2011-12-20 22:50 - Oliver Hader
- Target version changed from 4.7.0-alpha2 to 4.7.0-alpha3
- Estimated time set to 0.00

#6 - 2012-01-14 11:04 - Steffen Ritter

- Category changed from Backend User Interface to 1137
- Estimated time set to 0.00

#7 - 2012-01-14 11:11 - Steffen Ritter

- Target version deleted (4.7.0-alpha3)

- Estimated time set to 0.00

#8 - 2012-01-14 11:11 - Steffen Ritter
http://review.typo3.org/7428
http://review.typo3.org/7428
http://review.typo3.org/7428

- Status changed from Under Review to On Hold
- Estimated time set to 0.00

#9 - 2013-05-05 22:47 - Wouter Wolters
- Status changed from On Hold to Closed
- Estimated time set to 0.00

ExtJS 4 will not make it into the core

#10 - 2013-05-05 22:55 - Wouter Wolters
- Estimated time deleted (0.00)
